Bug 118129 - mprotect calls are not tested to see if they succeed or not
Summary: mprotect calls are not tested to see if they succeed or not
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 09:55 UTC by Mike A. Harris
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 11:57:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2004-03-12 09:55:24 UTC
In the xorg source tree, and probably XFree86 too, the following
files contain calls to mprotect() in which the return code is
not checked, so if it fails for any reason, strange behaviour
may result:

xc/lib/Xxf86dga/XF86DGA.c
xc/lib/Xxf86dga/XF86DGA2.c
xc/programs/Xserver/hw/xfree86/loader/elfloader.c
xc/programs/Xserver/hw/xfree86/loader/loader.c
xc/programs/Xserver/hw/xfree86/os-support/linux/drm/kernel/drmstat.c

Just noticed these and don't have time to fix right now, so logging
here for future fixing.

Comment 1 Mike A. Harris 2004-09-21 09:34:56 UTC
This should be filed upstream I guess.  With a patch to fix it or
without, either way so that it is tracked somewhere.

Comment 4 Rahul Sundaram 2005-08-14 02:28:01 UTC
ping


Note You need to log in before you can comment on or make changes to this bug.